> ## Documentation Index
> Fetch the complete documentation index at: https://docs.walletkit.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Transaction Status By Hash

> Retrieves the status of a transaction by its hash.

<Snippet file="header-project-id.mdx" />


## OpenAPI

````yaml get /transactions/status-by-hash
openapi: 3.0.1
info:
  title: WalletKit
  version: 0.0.1
servers:
  - url: https://testnet.walletkit.com
    description: testnet
  - url: https://mainnet.walletkit.com
    description: mainnet
security: []
paths:
  /transactions/status-by-hash:
    get:
      tags:
        - Transactions
      summary: Transaction Status By Hash
      description: Retrieves the status of a transaction by its hash.
      operationId: transactions_get-status
      parameters:
        - name: network
          in: query
          required: true
          schema:
            $ref: '#/components/schemas/Network'
        - name: transaction_hash
          in: query
          required: true
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetTransactionStatusByHashResponse'
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - BearerAuth: []
components:
  schemas:
    Network:
      title: Network
      type: string
      enum:
        - Ethereum
        - Polygon
        - Base
        - Avalanche
        - Polkadot
        - Vara
    GetTransactionStatusByHashResponse:
      title: GetTransactionStatusByHashResponse
      type: object
      properties:
        transaction_hash:
          type: string
        network:
          $ref: '#/components/schemas/Network'
        status:
          type: string
        contract_address:
          type: string
          nullable: true
          description: >-
            If the transaction is a contract creation, this field will be
            populated with the contract address.
      required:
        - transaction_hash
        - network
        - status
    ErrorResponse:
      title: ErrorResponse
      type: object
      properties:
        code:
          type: string
          nullable: true
        error:
          type: string
      required:
        - error
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````